#!/usr/bin/env bash

set -e

while ! pidof syslog-ng; do
  echo "waiting for syslog.."
  sleep 5
done

while ! nc -z mysql 3306; do
  echo "waiting for mysql.."
  sleep 1
done

cd /code/iqportal

echo 'resetting db..'
python related/bin/manage.py iqresetdb --settings=$DJANGO_SETTINGS_MODULE

echo 'syncdb etc..'
/code/iqportal/related/bin/docker_syncdb_etc.sh

