'''
Created on May 29, 2009

@author: martijn
'''


modules = {
    'test_jsonrpc': {
        'type': "js",
        'path': "test_jsonrpc.js",
        'requires': [ "iq_broker" ],
    },
    'test_wizard': {
        'type': "js",
        'path': "test_wizard.js",
        'requires': [ "iq_wizard" ],
    },
    'test_notify': {
        'type': "js",
        'path': "test_notify.js",
        'requires': [ "iq_notify" ],
    },
    'test_fancyselect': {
        'type': "js",
        'path': "test_fancyselect.js",
        'requires': [ "iq_fancyselect", "iq_form_manager"],
    },
    'test_editor_manager': {
        'type': "js",
        'path': "test_editor_manager.js",
        'requires': [ "iq_container", "iq_editor_manager" ],
    },
    'test_file': {
        'type': "js",
        'path': "test_file.js",
        'requires': ['iq_file_manager', 'iq_file_upload', 'iq_image_browser']
    },
    'test_history': {
        'type': "js",
        'path': "test_history.js",
        'requires': [ "iq_history" ],
    },
    'test_dashboard': {
        'type': "js",
        'path': "test_dashboard.js",
        'requires': [ "iq_dashboard" ],
    },
    'test_dashboard_es6': {
        'type': "es6",
        'path': "test_dashboard_es6-min.es6",
    },

    'test_customdatatable': {
        'type': "js",
        'path': "test_customdatatable.js",
        'requires': [ "iq_customdatatable" ],
    },

    'test_registration_dialog': {
        'type': "js",
        'path': "test_registration_dialog.js",
        'requires': [ "iq_registration_dialog", "iq_registration_form" ],
    },


    'test_custom_query': {
        'type': "js",
        'path': "test_custom_query.js",
        'requires': [ "iq_custom_query" ],
    },

    'test_contact_manager': {
        'type': "js",
        'path': "test_contact_manager.js",
        'requires': [ "iq_contact_lists_manager", 'iq_contacts_pool_manager', "iq_contact_import_wizard", "iq_contact_form", "iq_contact_list_linking"],
    },

    'test_contact_forms': {
        'type': "js",
        'path': "test_contact_forms.js",
        'requires': [ "iq_person_form", ]
    },

    'test_dialogs': {
        'type': "js",
        'path': "test_dialogs.js",
        'requires': [ "iq_dialog", "iq_registration_dialog"],
    },

    'test_growl': {
        'type': "js",
        'path': "test_growl.js",
        'requires': [ "iq_growl" ],
    },

    'test_form_manager': {
        'type': "js",
        'path': "test_form_manager.js",
        'requires': [ "iq_form_manager", "iq_fancyselect", "autocomplete", "uploader", "colorpicker",
                      "iq_wiki_input", "iq_form_checkbox", "iq_form_autocomplete2"],
    },

    'test_L10n_settings': {
        'type': "js",
        'path': "test_L10n_settings.js",
        'requires': ['iq_util'],
    },

    'test_user_switch': {
        'type': "js",
        'path': "test_user_switch.js",
    },

    'test_util': {
        'type': "js",
        'path': "test_util.js",
        'requires': ['iq_util'],
    },

    'test_license': {
        'type': "js",
        'path': "test_license.js",
        'requires': [ "iq_license_wizard", "iq_license_manager", "iq_group_manager", "iq_hook_manager",
                      "iq_privilege_delegation", "iq_object_browser"],
    },

    'test_mail_manager': {
        'type': "js",
        'path': "test_mail_manager.js",
        'requires': [ "iq_mail_manager", 'test_mock_mail_plugin'],
    },

    'test_mock_mail_plugin': {
        'type': "js",
        'path': "test_mock_mail_plugin.js",
        'requires': ['iq_mail_panel']
    },

    'test_csv_parser': {
        'type': "js",
        'path': "test_csv_parser.js",
        'requires': ['iq_csv_parser']
    },

    'test_dynamictable': {
        'type': "js",
        'path': "test_dynamictable.js",
        'requires': ['iq_dynamictable']
    },

    'test_infobox': {
        'type': "js",
        'path': "test_infobox.js",
        'requires': ['iq_infobox']
    },

    'test_menu': {
        'type': "js",
        'path': "test_menu.js",
        'requires': [ "iq_menu", 'button', ],
    },

    'test_iconbar': {
        'type': "js",
        'path': "test_iconbar.js",
        'requires': [ "iq_iconbar" ],
    },

    'test_container': {
        'type': 'js',
        'path': 'test_container.js',
        'requires': ['iq_container', 'iq_form_manager', 'dragdrop']
    },

    'test_chart_legend': {
        'type': "js",
        'path': "test_chart_legend.js",
        'requires': [ "iq_chart_legend" ],
    },

    'test_rte': {
        'type': "js",
        'path': "test_rte.js",
        'requires': [ "iq_rte" ],
    },

    'test_notification': {
        'type': "js",
        'path': "test_notification.js",
        'requires': [ 'iq_notification'],
    },

    'test_design': {
        'type': "js",
        'path': "test_design.js",
        'requires': [], # all requries are loaded in the test
    },

    'test_es6': {
        'type': "es6",
        'path': 'test_es6-min.es6',
        'requires': []
    }

}
