# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
This test executes the clientside yui testrunner and asserts the result
"""

from basesoft.web.test.selenium.selenium_testcase import YuiTestRunnerTestCase
from django.conf import settings

class IQuestYuiTestRunnerTestCase(YuiTestRunnerTestCase):

    url = settings.SELENIUM['browserURL'] + "iqportal.iquest.test/selenium/yui/"

    def test_compose(self):
        self.yui_test('test_iquest_compose')

    def test_publication(self):
        self.yui_test('test_iquest_publication')

    def test_response(self):
        self.yui_test('test_iquest_response')

    #def test_branching(self):
        #self.yui_test('test_iquest_branching')

    #def test_iquest_report(self):
        #self.yui_test('test_iquest_report')

