# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from iqportal.tnt.test.controllers import TntWaveController
from basesoft.web.test.selenium.yui.views import testrunner_view

def testrunner(request):

    return testrunner_view(request, [
        "test_wave_runner",
        "test_wave_translate",
    ])


def rpc(request):

    controller = TntWaveController(request.Session(), account_id=request.session['user_id'])

    class Handler:
        def create_wave_36(self):
            return controller.create_wave_36()
        def create_wave_33(self):
            return controller.create_wave_33()
        def create_wave_01(self):
            return controller.create_wave_01()
        def create_wave_39c(self):
            return controller.create_wave_39c()

    dispatcher = JsonRpcDispatcher()
    dispatcher.register_instance(Handler())
    return dispatcher.handle_request(request)