# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class TestWidget(DashboardWidgetStateController):
    """
    Simple unusable calendar widget for demo purposes only.
    """
    label = _('Test Widget')
    name = 'test_dashboard'
    icon = '16x16/apps/office-calendar.png'
    classname = 'palette_group__menu--widget'

widgets_mapper = OrderedDict([
                 ('TestWidget', TestWidget)
                 ])

