/**
 * # Copyright (c) 2008 BaseSoft B.V.
 * # See LICENSE for details.
 */

/*
 * js included in the test for multipartview container
 * it adds event listeners to the multipart view buttons for testing navigations through the pages
 */

YAHOO.util.Event.onDOMReady(function(){
	var button_next_id = "id_button1";
	var button_back_id = "id_button2";

	var mpi = BASESOFT.env.widgetTransformer.getInstance('id_multipart');

	YAHOO.util.Event.addListener(button_next_id, "click",
				function(e, args){
						mpi.set("activeIndex","1");
					},[button_next_id], this);
	YAHOO.util.Event.addListener(button_back_id, "click",
				function(e, args){
						mpi.set("activeIndex","0");
					},[button_back_id], this);

});

YAHOO.register("multipartview", null, {version: "1.0.0", build: "1"});
