/*
 * Copyright (c) 2008 BaseSoft Solutions B.V.
 * See LICENSE for details.
 */

BASESOFT.test.TestCases.push(new YAHOO.tool.TestCase({

	name: "Helpdesk demo",

	_should: {
		ignore: {
			test_client_details1: true,
			test_client_details2: true
		}
	},

	setUp : function () {
		this.div = document.createElement('div');
		this.div.style.textAlign = 'left';
		YAHOO.util.Dom.get('sandbox').innerHTML = "";
		YAHOO.util.Dom.get('sandbox').appendChild(this.div);


	},

	test_client_details1: function() {
		try {
			var clp = new BASESOFT.helpdesk.ClientDetailsPanel({}, {
				client_id: 1
			});
		} catch (e) {
			e.delay || console.error(e);
			throw e;
		}
	},

	test_client_details2: function() {
		try {
			var w = new BASESOFT.helpdesk.IncidentWizardPanel(this.div);
		} catch (e) {
			e.delay || console.error(e);
			throw e;
		}

	}
}));