/**
 * Copyright (c) 2008 BaseSoft B.V.
 * See LICENSE for details.
 */

/**
 * This test contains really basic checks.
 */
BASESOFT.test.TestCases.push(new BASESOFT.tool.TestCase({
	name: "Registration Dialog Test",
	assertClean: true,

	test_login_dialog: function(){

		try {
			var dialog = new BASESOFT.util.registration.LoginDialog({title: 'My Test Login Dialog', rpcurl: '/basesoft.web.contrib.account/login/rpc/'});
			this._garbage.push(dialog);

			// TODO: make a proper test that can do login and assert logged in

		} catch (e) {
			console.error(e);
			throw e;
		}

	},

	test_registration_dialog: function() {
		try {
			var dialog = new BASESOFT.registration.RegistrationDialog();
			//this._garbage.push(dialog);

			// generate a "unique" username and email
			var cd = new Date();
			var username = 'u' + cd.getTime() + cd.getMilliseconds();
			var password = 'some*rand@pass';

			// populate the dialog
			dialog.registrationForm.form.getChildByName('username').input.set('value', username);
			dialog.registrationForm.form.getChildByName('email').input.set('value', username+'@mail-test.basesoft.com');
			dialog.registrationForm.form.getChildByName('password').input.set('value', password);
			dialog.registrationForm.form.getChildByName('password2').input.set('value', password);

			dialog.on('onRegistrationSuccess', function(e){
				this.resume(function() {});
			}, null, this);

			// send the registration info
			dialog._submit();

		} catch (e) {
			console.error(e);
			throw e;
		}

		this.wait();
	}
}));


YAHOO.register("test_registration_dialog", null, {version: "1.0.0", build: "1"});