# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
This test executes the clientside yui testrunner and asserts the result
"""

from basesoft.web.test.selenium.selenium_testcase import YuiTestRunnerTestCase
from django.conf import settings

class BasesoftYuiTestRunnerTestCase(YuiTestRunnerTestCase):

    url = settings.SELENIUM['browserURL'] + "basesoft.web.test/selenium/yui/"

    def test_json_rpc(self):
        self.yui_test('test_jsonrpc')

    def test_wizard(self):
        self.yui_test('test_wizard')

    def test_notify(self):
        self.yui_test('test_notify');

    def test_fancy_select(self):
        self.yui_test('test_fancyselect');

    def test_editor_manager(self):
        self.yui_test('test_editor_manager');

    def test_file(self):
        self.yui_test('test_file');

    def test_history(self):
        self.yui_test('test_history');

    def test_dashboard(self):
        self.yui_test('test_dashboard')

    def test_customdatatable(self):
        self.yui_test('test_customdatatable')

    def test_registration_dialog(self):
        self.yui_test('test_registration_dialog')

    def test_custom_query(self):
        self.yui_test('test_custom_query')

    def test_contact_manager(self):
        self.yui_test('test_contact_manager')

    def test_contact_forms(self):
        self.yui_test('test_contact_forms')

    def test_dialogs(self):
        self.yui_test('test_dialogs')

    def test_growl(self):
        self.yui_test('test_growl')

    def test_form_manager(self):
        self.yui_test('test_form_manager')

    def test_license(self):
        self.yui_test('test_license')

    def test_mail_manager(self):
        self.yui_test('test_mail_manager')

    def test_menu(self):
        self.yui_test('test_menu')

    def test_csv_parser(self):
        self.yui_test('test_csv_parser')

    def test_iconbar(self):
        self.yui_test('test_iconbar')

    def test_dynamictable(self):
        self.yui_test('test_dynamictable')

    def test_infobox(self):
        self.yui_test('test_infobox')

    def test_container(self):
        self.yui_test('test_container')

    def test_L10n_settings(self):
        self.yui_test('test_L10n_settings')

    def test_user_switch(self):
        self.yui_test('test_user_switch')

    def test_util(self):
        self.yui_test('test_util')

    def test_chart_legend(self):
        self.yui_test('test_chart_legend')

    def test_rte(self):
        self.yui_test('test_rte')

    def test_notification(self):
        self.yui_test('test_notification')

    def test_design(self):
        self.yui_test('test_design')

    def test_es6(self):
        self.yui_test('test_es6')
