# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
IQReportYuiTestRunnerTestCase
"""

from basesoft.web.test.selenium.selenium_testcase import YuiTestRunnerTestCase
from django.conf import settings
from twisted.trial import unittest

class IQReportYuiTestRunnerTestCase(YuiTestRunnerTestCase):

    url = settings.SELENIUM['browserURL'] + "iqportal.iqreport.test/selenium/yui/"

    def test_iqreport_compose(self):
        self.yui_test('test_iqreport_compose')

    def test_datatablecube(self):
        self.yui_test('test_datatablecube')

    def test_graph_properties(self):
        self.yui_test('test_graph_properties')

    def test_iqreport_graphs(self):
        self.yui_test('test_iqreport_graphs')
