
from django.conf import settings
from django.shortcuts import render_to_response
from django.template.context import RequestContext

def cubetable(request, _type, mdx_method=None):

    _vars = {
        'js_requires': 'cubetable_init',
        'css_requires': 'iqube_cube_table_scss',
        'datasource': '%s.FoodMart' % settings.SETTINGS_MODULE,
        'mdx_type': _type,
        'mdx_method': mdx_method
    }

    return render_to_response('cubetable.html', _vars, context_instance=RequestContext(request))